ackermann([0,6],7) .
ackermann([1,2],4) .
ackermann([1,7],9) .
ackermann([2,2],7) .
ackermann([2,9],21) .
ackermann([3,4],125) .
ackermann([3,14],131069) .
ackermann([4,0],13) .
ackermann([4,1],65533) .
ackermann([4,2],[encoded data, 19729 characters]) .
ackermann([5,0],65533) .

step(rule(ackermann([0, 6], A), answer(ackermann([0, 6], A))), ackermann([0, 6], 7), answer(ackermann([0, 6], 7))).
step(rule(ackermann([1, 2], A), answer(ackermann([1, 2], A))), ackermann([1, 2], 4), answer(ackermann([1, 2], 4))).
step(rule(ackermann([1, 7], A), answer(ackermann([1, 7], A))), ackermann([1, 7], 9), answer(ackermann([1, 7], 9))).
step(rule(ackermann([2, 2], A), answer(ackermann([2, 2], A))), ackermann([2, 2], 7), answer(ackermann([2, 2], 7))).
step(rule(ackermann([2, 9], A), answer(ackermann([2, 9], A))), ackermann([2, 9], 21), answer(ackermann([2, 9], 21))).
step(rule(ackermann([3, 4], A), answer(ackermann([3, 4], A))), ackermann([3, 4], 125), answer(ackermann([3, 4], 125))).
step(rule(ackermann([3, 14], A), answer(ackermann([3, 14], A))), ackermann([3, 14], 131069), answer(ackermann([3, 14], 131069))).
step(rule(ackermann([4, 0], A), answer(ackermann([4, 0], A))), ackermann([4, 0], 13), answer(ackermann([4, 0], 13))).
step(rule(ackermann([4, 1], A), answer(ackermann([4, 1], A))), ackermann([4, 1], 65533), answer(ackermann([4, 1], 65533))).
step(rule(ackermann([4, 2], A), answer(ackermann([4, 2], A))), ackermann([4, 2], [encoded data, 19729 characters]), answer(ackermann([4, 2], [encoded data, 19729 characters]))).
step(rule(ackermann([5, 0], A), answer(ackermann([5, 0], A))), ackermann([5, 0], 65533), answer(ackermann([5, 0], 65533))).
